cheese crashed with SIGSEGV in cheese_camera_set_device_by_dev_uuid()

Bug #917757 reported by John Mullins on 2012-01-17
324
This bug affects 81 people
Affects Status Importance Assigned to Milestone
Cheese
Invalid
Critical
cheese (Ubuntu)
Medium
Unassigned

Bug Description

cheese crashed after while start

ProblemType: Crash
DistroRelease: Ubuntu 12.04
Package: cheese 3.3.3-0ubuntu2
ProcVersionSignature: Ubuntu 3.2.0-9.16-generic-pae 3.2.1
Uname: Linux 3.2.0-9-generic-pae i686
ApportVersion: 1.90-0ubuntu2
Architecture: i386
CrashCounter: 1
Date: Tue Jan 17 18:04:06 2012
ExecutablePath: /usr/bin/cheese
InstallationMedia: Ubuntu 12.04 LTS "Precise Pangolin" - Alpha i386 (20120116)
MachineType: Intel Corporation Calistoga & ICH7M Chipset
ProcCmdline: cheese
ProcEnviron:
 PATH=(custom, no user)
 LANG=hu_HU.UTF-8
 SHELL=/bin/bash
RelatedPackageVersions:
 cheese 3.3.3-0ubuntu2
 cheese-common 3.3.3-0ubuntu2
SegvAnalysis:
 Segfault happened at: 0xb6c142cb: cmp %cl,(%edx)
 PC (0xb6c142cb) ok
 source "%cl" ok
 destination "(%edx)" (0x00000000) not located in a known VMA region (needed writable region)!
SegvReason: writing NULL VMA
Signal: 11
SourcePackage: cheese
StacktraceTop:
 ?? () from /lib/i386-linux-gnu/libc.so.6
 cheese_camera_setup () from /usr/lib/i386-linux-gnu/libcheese.so.3
 cheese_main_window_setup_camera ()
 cheese_main_on_app_activate ()
 g_cclosure_marshal_VOID__VOID () from /usr/lib/i386-linux-gnu/libgobject-2.0.so.0
Title: cheese crashed with SIGSEGV in cheese_camera_setup()
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm cdrom dip lpadmin plugdev sambashare sudo
dmi.bios.date: 12/27/08
dmi.bios.vendor: Phoenix Technologies LTD
dmi.bios.version: NAPA0001.86C.0059.D.0812271024
dmi.board.name: CAPELL VALLEY(NAPA) CRB
dmi.board.vendor: Intel Corporation
dmi.board.version: Not Applicable
dmi.chassis.type: 1
dmi.chassis.vendor: No Enclosure
dmi.chassis.version: N/A
dmi.modalias: dmi:bvnPhoenixTechnologiesLTD:bvrNAPA0001.86C.0059.D.0812271024:bd12/27/08:svnIntelCorporation:pnCalistoga&ICH7MChipset:pvrNotApplicable:rvnIntelCorporation:rnCAPELLVALLEY(NAPA)CRB:rvrNotApplicable:cvnNoEnclosure:ct1:cvrN/A:
dmi.product.name: Calistoga & ICH7M Chipset
dmi.product.version: Not Applicable
dmi.sys.vendor: Intel Corporation

John Mullins (mymail) wrote :

StacktraceTop:
 cheese_camera_set_device_by_dev_uuid (uuid=0xa3dd300 "", camera=0xa25ba40) at libcheese/cheese-camera.c:1455
 cheese_camera_setup (camera=0xa25ba40, uuid=0xa3dd300 "", error=0xbfd3672c) at libcheese/cheese-camera.c:1495
 cheese_main_window_setup_camera (self=0xa25e058, uri=0x0) at src/cheese-window.c:4177
 cheese_main_on_app_activate (self=0xa156908) at src/cheese-main.c:213
 g_cclosure_marshal_VOID__VOID (closure=0x9e6e3e8, return_value=0x0, n_param_values=1, param_values=0xa1c7a38, invocation_hint=0xbfd368c0, marshal_data=0x0) at /build/buildd/glib2.0-2.31.10/./gobject/gmarshal.c:85

Changed in cheese (Ubuntu):
importance: Undecided → Medium
summary: - cheese crashed with SIGSEGV in cheese_camera_setup()
+ cheese crashed with SIGSEGV in cheese_camera_set_device_by_dev_uuid()
tags: removed: need-i386-retrace
visibility: private → public
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in cheese (Ubuntu):
status: New → Confirmed

I just got this crash after updating to 12.04 beta 1 from 11.10 (bug 947034). I attached a backtrace produced with gdb. Duplicated my report to this one.

paul (gp-b) wrote :

My solution: webcamstudio use /dev/video1 but is not started! Cheese like to use /dev/video1 and crash!
I delete /dev/video1 and make a links from /dev/viedeo0 to /dev/video1 - and cheese start. Now I change cheese to /dev/video0 and all is good :-)

Paul (p37307) wrote :

The solution for Paul (gp-b) in comment #7 did not work for me.

Changed in cheese:
importance: Unknown → Critical
status: Unknown → New
Paul (p37307) wrote :

I want to add that after my upgrade from 11.10 to 12.04 beta I was having so many upgrade issues with programs giving segfaults and other problems of some kind or another, that I finally just did a fresh, new install.

After a fresh install, cheese is still failing.

Mossroy (mossroy) wrote :

Same crash with version 3.4.0-0ubuntu1 of cheese on 12.04 beta

Changed in cheese:
status: New → Confirmed
Tony Ware (tonyware) wrote :

Same crash as above after installing 12.04LTS on a desktop, strange but Cheese works OK on my laptop.

Changed in cheese:
status: Confirmed → Incomplete
Luis Alvarado (luisalvarado) wrote :

It worked for me ok last week. After some updates it started with this problem. It just crashes.

Luis Alvarado (luisalvarado) wrote :

I did what a comment above mentioned, removed webcamstudio (It just so happened I had it installed). Did not work, same problem. But today came an update from the X-Swat ppa for the Nvidia driver. Driver update 302.17. After rebooting the PC cheese works again. Tested an Logitech and an HP webcam. Both works perfect again.

Vadim Rutkovsky (roignac) wrote :

Comments from upstream developer:
David King [cheese developer] 2012-06-12 06:41:12 UTC
Should be fixed by the patch which was merged to master and gnome-3-4 branches
from bug 677574, can you verify that Cheese no longer crashes?

I've prepared cheese daily package in ppa:roignac/cheese-daily. Can somebody affected confirm that this bug is fixed in recent cheese versions?

Kim Tyler (ktyler) wrote :

Confirm not crashing. (deleted distro cheese using apt-get remove, installed new cheese from ppa using dpkg -i).

Working again! (yay!).

NOTE:- many, many resolution options.

How do I do this? I know the removal bit but not ppa dpkg -i

On 19/06/12 00:32, Kim Tyler wrote:
> Confirm not crashing. (deleted distro cheese using apt-get remove,
> installed new cheese from ppa using dpkg -i).
>
> Working again! (yay!).
>
> NOTE:- many, many resolution options.
>

--
Tony Ware
70 St Marys Rise
Writhlington
BA33PD
07964188896

Vadim Rutkovsky (roignac) wrote :

Check out a tutorial at https://launchpad.net/+help-soyuz/ppa-sources-list.html
PPA location for daily Cheese build is ppa:roignac/cheese-daily

If this Cheese will be unstable for you, you may always revert to
repository version using ppa-purge, see tutorial at
http://www.webupd8.org/2009/12/remove-ppa-repositories-via-command.html

Kim Tyler (ktyler) wrote :

After downloading the packages from the ppa (I didn't want to include
the ppa in my repositories) I did a dpkg -i <cheese package names>

In detail, after downloading the amd64 bit packages from the ppa into a
local directory, (I wasn't interested int he dev packages)

sudo apt-get remove cheese cheese-common libcheese-gtk21 libcheese3

(below is all one line)

sudo dpkg -i
cheese_3.5.1-0ubuntu3~201206171022+git4558781~precise1_amd64.deb
libcheese-gtk21_3.5.1-0ubuntu3~201206171022+git4558781~precise1_amd64.deb libcheese3_3.5.1-0ubuntu3~201206171022+git4558781~precise1_amd64.deb
cheese-common_3.5.1-0ubuntu3~201206171022+git4558781~precise1_all.deb

(Note - dpkg is the basic command for adding and removing packages -
other programs like aptitude and apt-get and gdebi are built around it
and provide more functionality)

I hope the above helps, if not, send me another email.

Cheers and good luck,

Kim

On 19/06/12 19:02, Tony Ware wrote:
> How do I do this? I know the removal bit but not ppa dpkg -i
>
> On 19/06/12 00:32, Kim Tyler wrote:
>> Confirm not crashing. (deleted distro cheese using apt-get remove,
>> installed new cheese from ppa using dpkg -i).
>>
>> Working again! (yay!).
>>
>> NOTE:- many, many resolution options.
>>

Changed in cheese:
status: Incomplete → Invalid
Tony Ware (tonyware) wrote :

Hi Kim
Thanks very much for the info. Have done it all but Cheese still will
not open all I get is an error report box.

Best Regards

Tony

On 19/06/12 14:28, Kim Tyler wrote:
> After downloading the packages from the ppa (I didn't want to include
> the ppa in my repositories) I did a dpkg -i<cheese package names>
>
> In detail, after downloading the amd64 bit packages from the ppa into a
> local directory, (I wasn't interested int he dev packages)
>
>
> sudo apt-get remove cheese cheese-common libcheese-gtk21 libcheese3
>
> (below is all one line)
>
> sudo dpkg -i
> cheese_3.5.1-0ubuntu3~201206171022+git4558781~precise1_amd64.deb
> libcheese-gtk21_3.5.1-0ubuntu3~201206171022+git4558781~precise1_amd64.deb libcheese3_3.5.1-0ubuntu3~201206171022+git4558781~precise1_amd64.deb
> cheese-common_3.5.1-0ubuntu3~201206171022+git4558781~precise1_all.deb
>
> (Note - dpkg is the basic command for adding and removing packages -
> other programs like aptitude and apt-get and gdebi are built around it
> and provide more functionality)
>
> I hope the above helps, if not, send me another email.
>
> Cheers and good luck,
>
> Kim
>
> On 19/06/12 19:02, Tony Ware wrote:
>> How do I do this? I know the removal bit but not ppa dpkg -i
>>
>> On 19/06/12 00:32, Kim Tyler wrote:
>>> Confirm not crashing. (deleted distro cheese using apt-get remove,
>>> installed new cheese from ppa using dpkg -i).
>>>
>>> Working again! (yay!).
>>>
>>> NOTE:- many, many resolution options.
>>>

--
Tony Ware
70 St Marys Rise
Writhlington
BA33PD
07964188896

Kim Tyler (ktyler) wrote :

Hi,

So, if you open a terminal, and type in "cheese" without the quotes,
what do you get?
(you could cut and paste in email for me)

As well, could you also try the following line :-

dpkg -l | grep cheese

Cheers,

Kim

On 20/06/12 20:47, Tony Ware wrote:
> Hi Kim
> Thanks very much for the info. Have done it all but Cheese still will
> not open all I get is an error report box.
>
> Best Regards
>
> Tony
>
> On 19/06/12 14:28, Kim Tyler wrote:
>> After downloading the packages from the ppa (I didn't want to include
>> the ppa in my repositories) I did a dpkg -i<cheese package names>
>>
>> In detail, after downloading the amd64 bit packages from the ppa into a
>> local directory, (I wasn't interested int he dev packages)
>>
>>
>> sudo apt-get remove cheese cheese-common libcheese-gtk21 libcheese3
>>
>> (below is all one line)
>>
>> sudo dpkg -i
>> cheese_3.5.1-0ubuntu3~201206171022+git4558781~precise1_amd64.deb
>> libcheese-gtk21_3.5.1-0ubuntu3~201206171022+git4558781~precise1_amd64.deb libcheese3_3.5.1-0ubuntu3~201206171022+git4558781~precise1_amd64.deb
>> cheese-common_3.5.1-0ubuntu3~201206171022+git4558781~precise1_all.deb
>>
>> (Note - dpkg is the basic command for adding and removing packages -
>> other programs like aptitude and apt-get and gdebi are built around it
>> and provide more functionality)
>>
>> I hope the above helps, if not, send me another email.
>>
>> Cheers and good luck,
>>
>> Kim
>>
>> On 19/06/12 19:02, Tony Ware wrote:
>>> How do I do this? I know the removal bit but not ppa dpkg -i
>>>
>>> On 19/06/12 00:32, Kim Tyler wrote:
>>>> Confirm not crashing. (deleted distro cheese using apt-get remove,
>>>> installed new cheese from ppa using dpkg -i).
>>>>
>>>> Working again! (yay!).
>>>>
>>>> NOTE:- many, many resolution options.
>>>>

Kim Tyler (ktyler) wrote :

(It would be better to mail me directly <email address hidden> with your
direct email address)

Cheers,
Kim

Thomas Jollans (tjol) wrote :

PPA version works for me. I have a PCI video card in addition to the webcam and Cheese previously crashed as described in #930128 (amd64)

deschmit (deschmit) wrote :

what ppa do you use?

Kim Tyler (ktyler) wrote :

Hi, the one specified in the text above, viz. ppa:roignac/cheese-daily

(Vadim Rutkovsky (roignac) <https://launchpad.net/%7Eroignac> wrote on
2012-06-18: )

On 30/06/12 13:52, deschmit wrote:
> what ppa do you use?
>

in8sworld (n8berry) wrote :

I pulled down the latest ppa version from ppa:roignac/cheese-daily (3.5.3) and cheese now opens and works fine.
This is in an HP Elitebook 8460p which reportsas an HP HD Webcam [Fixed] (04f2:b230).

Rootbrian (rootbrian2000) wrote :
Download full text (3.2 KiB)

http://paste.ubuntu.com/1322656/ (contents also below):

user@user-Evo-D310v:~$ cheese

(cheese:2779): Gtk-WARNING **: Attempting to add a widget with type GtkImage to a GtkToggleButton, but as a GtkBin subclass a GtkToggleButton can only contain one widget at a time; it already contains a widget of type GtkLabel

(cheese:2779): Gtk-WARNING **: Attempting to add a widget with type GtkImage to a GtkToggleButton, but as a GtkBin subclass a GtkToggleButton can only contain one widget at a time; it already contains a widget of type GtkLabel

(cheese:2779): Gtk-WARNING **: Attempting to add a widget with type GtkImage to a GtkToggleButton, but as a GtkBin subclass a GtkToggleButton can only contain one widget at a time; it already contains a widget of type GtkLabel

(cheese:2779): Gtk-WARNING **: Attempting to add a widget with type GtkImage to a GtkButton, but as a GtkBin subclass a GtkButton can only contain one widget at a time; it already contains a widget of type GtkLabel

(cheese:2779): Gtk-WARNING **: Attempting to add a widget with type GtkGrid to a GtkToggleButton, but as a GtkBin subclass a GtkToggleButton can only contain one widget at a time; it already contains a widget of type GtkLabel

(cheese:2779): Gtk-WARNING **: Attempting to add a widget with type GtkImage to a GtkButton, but as a GtkBin subclass a GtkButton can only contain one widget at a time; it already contains a widget of type GtkLabel

** (cheese:2779): CRITICAL **: cheese_camera_device_get_uuid: assertion `CHEESE_IS_CAMERA_DEVICE (device)' failed
^CSegmentation fault (core dumped)
user@user-Evo-D310v:~$ sudo cheese
[sudo] password for user:
ERROR: Could not load classifier cascade /usr/share/opencv/haarcascades/haarcascade_frontalface_alt2.xml

(cheese:2791): Gtk-WARNING **: Attempting to add a widget with type GtkImage to a GtkToggleButton, but as a GtkBin subclass a GtkToggleButton can only contain one widget at a time; it already contains a widget of type GtkLabel

(cheese:2791): Gtk-WARNING **: Attempting to add a widget with type GtkImage to a GtkToggleButton, but as a GtkBin subclass a GtkToggleButton can only contain one widget at a time; it already contains a widget of type GtkLabel

(cheese:2791): Gtk-WARNING **: Attempting to add a widget with type GtkImage to a GtkToggleButton, but as a GtkBin subclass a GtkToggleButton can only contain one widget at a time; it already contains a widget of type GtkLabel

(cheese:2791): Gtk-WARNING **: Attempting to add a widget with type GtkImage to a GtkButton, but as a GtkBin subclass a GtkButton can only contain one widget at a time; it already contains a widget of type GtkLabel

(cheese:2791): Gtk-WARNING **: Attempting to add a widget with type GtkGrid to a GtkToggleButton, but as a GtkBin subclass a GtkToggleButton can only contain one widget at a time; it already contains a widget of type GtkLabel

(cheese:2791): Gtk-WARNING **: Attempting to add a widget with type GtkImage to a GtkButton, but as a GtkBin subclass a GtkButton can only contain one widget at a time; it already contains a widget of type GtkLabel

** (cheese:2791): CRITICAL **: cheese_camera_device_get_uuid: assertion `CHEESE_IS_CAMERA_DEVICE (device)' fa...

Read more...

Rootbrian (rootbrian2000) wrote :

From the PPA version, i'm getting this after running it in the terminal:

user@user-Evo-D310v:~$ cheese

** (cheese:19842): WARNING **: Internal data flow problem.: gstbasesink.c(3638): gst_base_sink_chain_unlocked (): /GstCameraBin:camerabin/GstBin:video_filter_bin/ClutterGstVideoSink:cluttergstvideosink9:
Received buffer without a new-segment. Assuming timestamps start from 0.

** (cheese:19842): WARNING **: Internal data flow problem.: gstbasesink.c(3638): gst_base_sink_chain_unlocked (): /GstCameraBin:camerabin/GstBin:video_filter_bin/ClutterGstVideoSink:cluttergstvideosink8:
Received buffer without a new-segment. Assuming timestamps start from 0.

** (cheese:19842): WARNING **: Internal data flow problem.: gstbasesink.c(3638): gst_base_sink_chain_unlocked (): /GstCameraBin:camerabin/GstBin:video_filter_bin/ClutterGstVideoSink:cluttergstvideosink7:
Received buffer without a new-segment. Assuming timestamps start from 0.

** (cheese:19842): WARNING **: Internal data flow problem.: gstbasesink.c(3638): gst_base_sink_chain_unlocked (): /GstCameraBin:camerabin/GstBin:video_filter_bin/ClutterGstVideoSink:cluttergstvideosink6:
Received buffer without a new-segment. Assuming timestamps start from 0.

** (cheese:19842): WARNING **: Internal data flow problem.: gstbasesink.c(3638): gst_base_sink_chain_unlocked (): /GstCameraBin:camerabin/GstBin:video_filter_bin/ClutterGstVideoSink:cluttergstvideosink5:
Received buffer without a new-segment. Assuming timestamps start from 0.

** (cheese:19842): WARNING **: Internal data flow problem.: gstbasesink.c(3638): gst_base_sink_chain_unlocked (): /GstCameraBin:camerabin/GstBin:video_filter_bin/ClutterGstVideoSink:cluttergstvideosink4:
Received buffer without a new-segment. Assuming timestamps start from 0.

** (cheese:19842): WARNING **: Internal data flow problem.: gstbasesink.c(3638): gst_base_sink_chain_unlocked (): /GstCameraBin:camerabin/GstBin:video_filter_bin/ClutterGstVideoSink:cluttergstvideosink3:
Received buffer without a new-segment. Assuming timestamps start from 0.

** (cheese:19842): WARNING **: Internal data flow problem.: gstbasesink.c(3638): gst_base_sink_chain_unlocked (): /GstCameraBin:camerabin/GstBin:video_filter_bin/ClutterGstVideoSink:cluttergstvideosink2:
Received buffer without a new-segment. Assuming timestamps start from 0.

** (cheese:19842): WARNING **: Internal data flow problem.: gstbasesink.c(3638): gst_base_sink_chain_unlocked (): /GstCameraBin:camerabin/GstBin:video_filter_bin/ClutterGstVideoSink:cluttergstvideosink1:
Received buffer without a new-segment. Assuming timestamps start from 0.

Rootbrian (rootbrian2000) wrote :

user@user-Evo-D310v:~$ cheese

** (cheese:8239): WARNING **: Internal data flow error.

Melroy vd Berg (openlaptop) wrote :

** (cheese:4389): CRITICAL **: cheese_camera_device_get_uuid: assertion `CHEESE_IS_CAMERA_DEVICE (device)' failed
Segmentation fault (core dumped)

Using Cheese 3.4.1-0ubuntu2.1 from Precise, this bug can be replicated like this:
* connect two or more cameras
* open Cheese and select the last one
* close Cheese
* disconnect the camera
* open Cheese

I have tried to remove/change the value of "apps -> cheese -> camera" from dconf but it doesn't seem to have any effect.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Related questions

Remote bug watches

Bug watches keep track of this bug in other bug trackers.